Subject: Build failures on core packages following daemon changes

From: Ada Stevenson <[email-masked]>
Date: Sun, 6 Apr 2025 06:05:55 +0000

Hi Guix,

Following commit 93474f92886fac8a2e5eb0eb3b388654246d640d (cc'ing Ludo' 
as the author of this commit), I have identified build failures in 
several packages as they have tests that require modifying the build 
tree in some way. These include scons, ruby and go. I'm sure there are 
other packages that are affected by this. We can patch out these tests 
if it is simply untenable to change the daemon in the pursuit of more 
security, but disabling tests is not so favorable in my opinion. I don't 
have any better suggestions regarding this but I think it should be 
bought to attention nonetheless, as these build failures have many 
dependent packages - if these packages need to be rebuilt for some 
reason it will be more pain to fix later than now.
-- 
Warmly,
Ada